org.vertx.java.core.http.impl

## Class DefaultHttpServerRequest

- java.lang.Object
- - org.vertx.java.core.http.impl.HttpReadStreamBase
  - - org.vertx.java.core.http.HttpServerRequest
    - - org.vertx.java.core.http.impl.DefaultHttpServerRequest

All Implemented Interfaces:
  ReadStream

    public class DefaultHttpServerRequest
    extends HttpServerRequest

### Field Summary

### Fields inherited from class org.vertx.java.core.http.HttpServerRequest

`method, path, query, response, uri`

### Method Summary

Methods
`void` `dataHandler(Handler<Buffer> dataHandler)` Set a data handler.
`void` `endHandler(Handler<java.lang.Void> handler)` Set an end handler.
`void` `exceptionHandler(Handler<java.lang.Exception> handler)` Set an exception handler.
`java.util.Map<java.lang.String,java.lang.String>` `headers()` A map of all headers in the request, If the request contains multiple headers with the same key, the values will be concatenated together into a single header with the same key value, with each value separated by a comma, as specified here.
`java.util.Map<java.lang.String,java.lang.String>` `params()` Returns a map of all the parameters in the request
`void` `pause()` Pause the `ReadStream`.
`void` `resume()` Resume reading.

### Methods inherited from class org.vertx.java.core.http.impl.HttpReadStreamBase

`bodyHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### headers

    public java.util.Map<java.lang.String,java.lang.String> headers()

Description copied from class: `HttpServerRequest`
A map of all headers in the request, If the request contains multiple headers with the same key, the values will be concatenated together into a single header with the same key value, with each value separated by a comma, as specified here. The headers will be automatically lower-cased when they reach the server

Specified by:
  `headers` in class `HttpServerRequest`

#### params

    public java.util.Map<java.lang.String,java.lang.String> params()

Description copied from class: `HttpServerRequest`
Returns a map of all the parameters in the request

Specified by:
  `params` in class `HttpServerRequest`

#### dataHandler

    public void dataHandler(Handler<Buffer> dataHandler)

Description copied from interface: `ReadStream`
Set a data handler. As data is read, the handler will be called with the data.

#### exceptionHandler

    public void exceptionHandler(Handler<java.lang.Exception> handler)

Description copied from interface: `ReadStream`
Set an exception handler.

#### pause

    public void pause()

Description copied from interface: `ReadStream`
Pause the `ReadStream`. While the stream is paused, no data will be sent to the `dataHandler`

#### resume

    public void resume()

Description copied from interface: `ReadStream`
Resume reading. If the `ReadStream` has been paused, reading will recommence on it.

#### endHandler

    public void endHandler(Handler<java.lang.Void> handler)

Description copied from interface: `ReadStream`
Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.